Page MenuHomePhabricator

[AAP] (1) Add AAP target triple
Changes PlannedPublic

Authored by edward-jones on Aug 18 2016, 8:36 AM.

Details

Reviewers
rengolin
asb
asl
Summary

This is the first in a set of patches to add AAP as an experimental target to LLVM. The only changes this patch makes is to recognize the 'aap' triple.

Future patches will incrementally add the remainder of the backend.

Diff Detail

Event Timeline

edward-jones retitled this revision from to [AAP] (1) Add AAP target triple.
edward-jones updated this object.
edward-jones added a reviewer: rengolin.
edward-jones added subscribers: simoncook, llvm-commits.
rengolin edited edge metadata.Aug 19 2016, 2:45 AM

This looks good to me, but I'll let other people review and approve, since I was the only one on the thread. :)

asb accepted this revision.Aug 19 2016, 4:42 AM
asb added a reviewer: asb.
asb added a subscriber: asb.

LGTM. The target triple is added everywhere appropriate and the tests are sensible. It's a minor annoyance that the relevant enum and case statements are inconsistent about whether they're in alphabetic order or order of addition of that backend, but that's not AAP's fault and your additions are in sensible places.

This revision is now accepted and ready to land.Aug 19 2016, 4:42 AM
majnemer added inline comments.
lib/Support/Triple.cpp
1167–1170

Would be nice to sort these.

1242–1250

Ditto.

1398–1401

Ditto.

1492

Ditto.

I'm holding off sorting the various switches since they weren't sorted anyway.

edward-jones edited edge metadata.

Rolled forward to top of tree

Roll forward to top of tree

Updated to reflect latest changes to LLVM

edward-jones planned changes to this revision.Jun 19 2019, 4:27 AM
asl accepted this revision.Jun 24 2019, 5:50 AM

The changes are pretty straightforward :)